Get a specimen by ID
get
/Specimen/{id}
Note: The FHIR API endpoints described below are currently pending production deployment for electronic health record (EHR) environments. Developers are welcome and encouraged to develop against the specifications in anticipation of production availability, which will be announced at a later date.
Retrieves an individual specimen by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The credentials to authenticate a consumer to the service. This should be the OAuth2 Bearer Token.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful retrieve response.
Root Schema : Specimen
Type:
Show Source
object-
accessionIdentifier:
accessionIdentifier
The identifier assigned by the laboratory.
-
collection:
collection
The collection details.
-
condition: array
condition
The state of the specimen.
-
container: array
container
The direct container of the specimen.
-
id(required): string
-
identifier: array
identifier
The external identifier.
-
receivedTime: string
(date-time)
The time when the specimen was received for processing.
-
resourceType(required): string
Allowed Values:
[ "Specimen" ] -
status: string
The following values are supported:
availableunavailableunsatisfactoryentered-in-error
-
subject:
subject
(USCDI) The patient where the specimen came from.
-
type(required):
type
(USCDI) The type of material that forms the specimen.
Nested Schema : accessionIdentifier
The identifier assigned by the laboratory.
Match All
The identifier assigned by the laboratory.
Show Source
Nested Schema : subject
(USCDI) The patient where the specimen came from.
Match All
(USCDI) The patient where the specimen came from.
Show Source
Nested Schema : type
(USCDI) The type of material that forms the specimen.
Match All
(USCDI) The type of material that forms the specimen.
Show Source
Nested Schema : SpecimenCollection
Type:
Show Source
object-
collectedDateTime: string
(date-time)
The collection time.
-
collectedPeriod: object
collectedPeriod
The collection time.
-
collector:
collector
Who collected the specimen.
Nested Schema : collector
Who collected the specimen.
Match All
Who collected the specimen.
Show Source
Nested Schema : SpecimenContainer
Type:
Show Source
object-
identifier: array
identifier
The ID for the container.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
Show Source
object-
issue(required): array
issue
-
resourceType(required): string
Allowed Values:
[ "OperationOutcome" ]